The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

В Chrome будет прекращена поддержка ядра Linux 3.16 и более ранних выпусков

08.03.2015 19:03

Разработчики из компании Google сообщили о невозможности полноценной работы следующего выпуска браузера Chrome/Chromium в системах с ядрами Linux без поддержки установки фильтров системных вызовов (seccomp) с флагом SECCOMP_FILTER_FLAG_TSYNC. Таким образом, следующие выпуски Chrome/Chromuim можно будет в полной мере использовать только с ядрами Linux, начиная с выпуска 3.17.

На системах с более ранними выпусками ядра будет проявляться проблема, приводящая к невозможности установить дополнения и браузерные приложения. Примечательно, что разработчики Chromium не согласны, что данное поведение является регрессивным изменением и требует исправления в кодовой базе Chromium, так как проблема решается обновлением ядра. В настоящий момент уведомление о проблеме помечено как не требующее исправления. При этом разработчики Chromium готовы рассмотреть патчи с исправлениями со стороны.

Ядро 3.17 было выпущено в октябре прошлого года, поэтому поддержка TSYNC в дистрибутивах в основном реализована через дополнительные патчи. Например, TSYNC поддерживается в ядре 3.16 из состава Ubuntu 14.10, но отсутствует в выпусках с длительным сроком поддержки. Разработчики проекта Debian подготовили патч, реализующий SECCOMP_FILTER_FLAG_TSYNC для ядра 3.16 из Debian 8 "jessie". Поддержка TSYNC также бэкпортирована для ядер 3.14, 3.10, 3.8 и 3.4, используемых в Ubuntu 14.04, Android и Chrome OS. Флаг SECCOMP_FILTER_FLAG_TSYNC используется для sandbox-изоляции в Chrome и позволяет синхронизировать состояние фильтров системных вызовов (seccomp) для всех рабочих нитей, включая ранее запущенные нити, для которых уже установлены правила seccomp.

  1. Главная ссылка к новости (https://news.ycombinator.com/i...)
  2. OpenNews: Браузер Chrome переходит с GTK+ на собственный графический стек Aura
  3. OpenNews: Релиз ядра Linux 3.17
  4. OpenNews: В Google Chrome и Chromium прекращена поддержка Red Hat Enterprise Linux 6, Debian 6 и Ubuntu 10.04
  5. OpenNews: Разработчики Chrome OS отменили решение по прекращению поддержки ФС ext2/3/4
Лицензия: CC-BY
Тип: К сведению
Короткая ссылка: https://opennet.ru/41807-chrome
Ключевые слова: chrome
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (122) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.2, Канадатян (?), 19:49, 08/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +14 +/
    Полупринудительное подстёгивание прогресса.
    Следующий шаг - отказ операционной системы работать на системе без SSE4. Как Windows, чьи новые выпуски не работают без SSE2. И конечно же:

    > разработчики не согласны, что данное поведение является регрессивным
    > изменением и требует исправления в кодовой базе операционной системы,
    > так как проблема решается обновлением железа

     
     
  • 2.6, Аноним (-), 20:04, 08/03/2015 [^] [^^] [^^^] [ответить]  
  • +16 +/
    Да чо там, давайте сразу просить десктоп на базе GLIBC 2.22, компилятора GCC 4.10 с непременным использованием C++14. Сделать одну поддерживаемую систему - Gentoo Unstable, а убунтоидов называть некрофилами и ретроградами. Также обязательно необходимо повысить требования к железу. Собирать всё под AVX2, а как только выходит новая серия процов - под следующую передовую технологию. OpenCL 2.0 (обязательно на отдельной карточке, потому что на совмещённой с выводом будут тормоза), монитор HD 4k с поддержкой 3D (или сразу Occulus Rift), звуковую систему 7.1 EAX. Ведь это же так необходимо отображалке интернет-страничек!

    А для Windows-сборки по-прежнему хотеть XP SP2.

     
     
  • 3.7, Аноним (-), 20:10, 08/03/2015 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Ах да - в зависимости libpng18 с патчем apng, GStreamer 1.4 (но аппаратное декодирование FullHD всё равно почему-то не будет работать), libjpeg-turbo, libudev1 (это который в Systemd) и Network Manager 1.0. Какие ещё варианты?
     
     
  • 4.51, Аноним (-), 00:32, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +3 +/
    И чтобы без пшшшаудио не запускалось, как этот ваш скупе.
     
     
  • 5.58, Аноним (-), 00:59, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • –5 +/
    > И чтобы без пшшшаудио не запускалось, как этот ваш скупе.

    И это правильно. Хочешь быть гордым, независимым, сцать против ветра и самолично дрюкаться с микшированием аудио и прочим головняком - ну вот тогда и стирай обосцаные штаны сам. Как ты это будешь делать - твои проблемы.

     
     
  • 6.80, Аноним (-), 08:43, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    микширование в алсе работает. Dmix уже очень очень давно из коробки.
     
     
  • 7.99, Crazy Alex (ok), 15:06, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Если уж на то пошло - для альсы только нужны хорошие доки и, возможно, графические управляющие тулзы. А так - она может всё, что может пульс, кроме сети. Система плагинов и хуков там могучая.
     
     
  • 8.122, Аноним (-), 03:03, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Только в пульсе все это не превращается в проблемы апликушника и юзера И эксклю... текст свёрнут, показать
     
     
  • 9.133, count0krsk (ok), 17:08, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Это Линукс, детка Тут все неламеры так делают Называется кастомизируемость ... текст свёрнут, показать
     
  • 9.142, Anonka (?), 15:08, 11/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Вообще ничего не настраивал, само по дефолту уже так было Lubuntu 14 04 http i... текст свёрнут, показать
     
  • 3.30, Аноним (-), 22:12, 08/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > А для Windows-сборки по-прежнему хотеть XP SP2.

    А смысл ее хотеть? Она официально все - по версии микрософта. Это теперь как вин95.

     
     
  • 4.33, анон (?), 22:14, 08/03/2015 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Тут размещен большой плакат "Сарказм"
     
  • 4.95, Zenitur (ok), 13:39, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Загляни в системные требования - офигеешь. На Опеннете есть новость о том, что Red Hat возмущалась: почему Google прекращает поддержку RHEL6 (7 ещё не было) 2011 года выпуска, а Windows XP 2001 - нет (ответ: рыночная доля).
     
     
  • 5.108, анон (?), 19:18, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    >RHEL6 (7 ещё не было) 2011 года выпуска, а Windows XP 2001 - нет

    Не совсем так, зуб даю там требуют Windows XP SP3 (а это аж 2008-ой год), но всё равно неприятно, да.

     
     
  • 6.131, soarin (?), 06:34, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Некорректное сравнение, тем более MS отказался от практики выпуска SP.
    Так можно сказать, что Win XP 2014 года (или когда там последние апдейты на неё выпустили)
     
  • 3.39, Ынтелоним (?), 22:38, 08/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Также обязательно необходимо повысить требования к железу.

    Очень интересное предложение!
    Оформляйте требования, собирайте подписи -- как только мы поймем, что Ваша затея серьезна, финансирование и денежное вознаграждение Вам будут обеспеченны!

     
  • 3.65, vitia69 (ok), 01:48, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Ну тогда окулус рифт заменить на виртуальный шлем от валве/нтс, он поновее будет
     
  • 3.132, arisu (ok), 16:35, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > компилятора GCC 4.10

    это было бы неплохо. если учесть, что 4.10 не будет, а будет 5.0.

     
  • 2.28, BratSinot (ok), 22:00, 08/03/2015 [^] [^^] [^^^] [ответить]  
  • +5 +/
    > чьи новые выпуски не работают без SSE2.

    SSE2, как-бы, появился еще в одном из Pentium 4, образцов 2000-го года. Думаете Windows 8 будет адекватно работать на таком?

     
     
  • 3.31, Аноним (-), 22:13, 08/03/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > SSE2, как-бы, появился еще в одном из Pentium 4,

    Да что там, все х86-64 процессоры гарантированно умеют SSE2. Первые процессоры такого плана появились IIRC более декады назад.

     
     
  • 4.47, Аноним (-), 00:20, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • –3 +/
    > Первые процессоры такого плана появились IIRC более декады назад.

    За последнюю декаду новых моделей десктопных процессоров вообще не появлялось.
    (это такой мягкий намёк на то, что автору процитированного предложения надо бы русский язык подучить)

     
     
  • 5.86, vladon (?), 10:28, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • –3 +/
    декада - это как 10 дней, так и 10 лет, в зависимости от контекста
     
     
  • 6.91, Pilat (ok), 12:06, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    В России декада - только 10 дней, без вариантов. И без контекстов.
     
     
  • 7.107, Admin (??), 16:54, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • –3 +/
    С ху^W с чего бы? Доказать ты конечно поленишся\не сможешь.
     
     
  • 8.114, pavlinux (ok), 20:09, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    ГОСТ есть, ссылка на него в ЕСКД есть ... текст свёрнут, показать
     
  • 8.118, Pilat (ok), 22:14, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Нормальному человеку - не поленился бы Вам - поленюсь ... текст свёрнут, показать
     
  • 3.81, Аноним (-), 08:46, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    А у amd появился гораздо позже.
     
     
  • 4.96, Zenitur (ok), 13:43, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > А у amd появился гораздо позже.

    В 2003 году в Athlon 64.

     

  • 1.4, Аноним (-), 19:59, 08/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +8 +/
    для rhel будут патчи? или окаменевшая версия останется. ff вот обновляется до актуально версии, даже для rhel5!
     
     
  • 2.24, Аноним (-), 21:48, 08/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    заплатившие шапке будут страдать ?
     
     
  • 3.82, Аноним (-), 08:47, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Если им как 2 пальца бэкпортировать ext4 в древнее ядро то уж эту штуку они туда бэкпортируют.
     

  • 1.8, Sluggard (ok), 20:11, 08/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +44 +/
    Теперь ради одного жручего говнобраузера надо патчить ядро?
    Спасибо, но есть FireFox.
     
     
  • 2.44, Аноним (-), 00:07, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Вот так и проявляется "превосходство" монополий
     
     
  • 3.72, cmp (ok), 05:46, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Это фф то?, )), ага так и будет
     
     
  • 4.93, Sluggard (ok), 12:43, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Тоже мало хорошего. Монополий быть не должно.
     
     
  • 5.135, count0krsk (ok), 17:12, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Тоже мало хорошего. Монополий быть не должно.

    И олигархов, и геев, и несправедливости.
    АминЪ.

     
  • 2.75, Кремлебот (?), 07:44, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +3 +/
    > Спасибо, но есть FireFox.

    По идее, ему тоже было бы неплохо делать по умолчанию нечто вроде



    $ firejail firefox


     

  • 1.10, анон (?), 20:21, 08/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    Интересно, как обстоят дела в BSD?
     
     
  • 2.32, Аноним (-), 22:14, 08/03/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Интересно, как обстоят дела в BSD?

    Легко: nobody gives it a fuck.

     
  • 2.42, Andrew Kolchoogin (ok), 22:52, 08/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    grep'нул по исходникам ядра — нет SECCOMP. :)
     
     
  • 3.59, Аноним (-), 01:00, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > grep'нул по исходникам ядра — нет SECCOMP. :)

    Судя по страданиям изена, сборка свежего хромиума под фрибзду - геройское достижение. Так что гуглу скорее всего просто пофигу как там бзды без этого выкрутятся. Они сидели несколько лет с древним хромиумом. Ну и еще столько же посидят.

     
     
  • 4.61, iZEN (ok), 01:16, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Сборка свежего Chromium под FreeBSD не вызывает батхёрта. Это даже не обсуждается - portmaster www/chromium и готово.

    % pkg info -x chrom
    chromium-40.0.2214.115

     
     
  • 5.83, Аноним (-), 08:52, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Без линуксатора?
     
  • 4.62, Аноним (-), 01:19, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Они сидели несколько лет с древним хромиумом.

    Ну да, сидят слоупоки с древнющим 40.0.2214.115!
    http://www.freshports.org/www/chromium/

     
     
  • 5.66, iZEN (ok), 02:14, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >> Они сидели несколько лет с древним хромиумом.
    > Ну да, сидят слоупоки с древнющим 40.0.2214.115!
    > http://www.freshports.org/www/chromium/

    В Arch — 41.0.2272.76.
    В Ubuntu — 40.0.2214.111-0ubuntu0.14.04.1.1069 — привет, User294.
    В Debian Sid — 41.0.2272.76-2 (debug).


     
     
  • 6.67, Аноним (-), 02:25, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • –6 +/
    > В Ubuntu

    Вы бы еще винду для примера привели ;)
    И вообще -- пользователи бубунты, как знает каждый настоящий айтишник -- ССЗБы!

     
     
  • 7.84, Аноним (-), 08:53, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Пользователи арча с генту кто?
    И вообще что если не убунту?
     
     
  • 8.97, Аноним (-), 13:53, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    будущие айтишники и настоящие айтишники Просто не убунту Всегда ваш КО Вооб... текст свёрнут, показать
     
     
  • 9.129, Аноним (-), 03:21, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Больно громкое название для тех кто страдает фигней, выпиливая лобзиком свой лок... текст свёрнут, показать
     
     
  • 10.134, Аноним (-), 17:12, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Ну, возьмем например Диего http dev gentoo org flameeyes - Diego Elio Pette... текст свёрнут, показать
     
     
  • 11.137, arisu (ok), 17:51, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Forbidden You don t have permission to access index html on this server Apache... большой текст свёрнут, показать
     
  • 9.136, count0krsk (ok), 17:27, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Ты не КО, ты понтовоз Если бы чуточку разбирался в ОС, то знал бы, что между Ли... текст свёрнут, показать
     
     
  • 10.139, Аноним (-), 23:08, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Между Линуксами разница только в версиях и, возможно, патчах ДЕ и репы имеют... большой текст свёрнут, показать
     
  • 6.128, Аноним (-), 03:18, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > В Arch — 41.0.2272.76.
    > В Ubuntu — 40.0.2214.111-0ubuntu0.14.04.1.1069 — привет, User294.

    Это неправда, в 14.10 я вижу 41.0.2272.76-0ubuntu0.14.10.1.1118

    Привет, изен. И научись уже обновлять список пакетов до того как выступать :). Вот что-что а браузеры в убунтовых всегда свежие. Хрому и лисе из-за их нумерации, частоты релизов и того что релизы чинят секурити баги - сделали некое исключение.

     
  • 5.101, Иван Ерохин (ok), 15:53, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Там же не просто distinfo обновляют.
    Там еще и FreeBSD-specific патчи и все это надо тестировать.
    Поэтому сразу новой версии можно и не ждать.

    На самом деле удивляет его популярность. Шрифты какие-то мыльные, настроек минимум, легко может выжрать всю память. И особой разницы в скорости по-сравнению с FF я как-то не увидел.
    Про нормальный адблок, можно и не вспоминать.

     
     
  • 6.102, Аноним (-), 16:05, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > На самом деле удивляет его популярность.

    "У соседа такой и я тоже такой хочу!" + реклама на каждом углу интернета.
    Вот и все секреты.

     
  • 6.106, Аноним (-), 16:49, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    во-во http svnweb freebsd org ports head www chromium files для несведущих ч... большой текст свёрнут, показать
     

  • 1.12, sdfgsdg (?), 20:32, 08/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +3 +/
    Правильно. Хром должен работать только на хромбуках!
     
  • 1.14, paulus (ok), 20:34, 08/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Пусть это говно сначала научится с холодного старта или после перезагрузки применять расширения (Issue 453062 http://goo.gl/xcWcP5), а потом требует патчить или обновить ядро для работы приложений.
     
  • 1.15, arzeth (ok), 20:42, 08/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    Вот что значит разрешать быдлокодерам и быдлотестерам сидеть за компами давности меньше чем 5 лет.
     
     
  • 2.34, Аноним (-), 22:16, 08/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Вот что значит разрешать быдлoкодерам и быдлoтестерам сидеть за компами давности меньше чем 5 лет.

    А что, 3.16 разве не работает? Специально проверил на антике примерно 12-летней давности, 3.16 там взлетает.

     

  • 1.16, anonymous (??), 20:45, 08/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +5 +/
    А зачем вообще нужен новый хром? Раньше в браузере при смене версий хоть полезностей добавляли. А сейчас ничего кроме очередного витка войны стандартов в новые версии не добавляют.
     
     
  • 2.50, Аноним (-), 00:31, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > А зачем вообще нужен новый хром?

    Выход новой версии спровоцирует появление новостей типа этой, лишний раз напомнив людям о существовании такого браузера (для маркетолухов рекламы слишком много не бывает). Ну, и заодно номер версии на единичку увеличить, чтобы создать иллюзию развития.

     
  • 2.73, _KUL (ok), 05:55, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • –4 +/
    Улучшение систем сбора информациио вас, чтобы тематическую рекламу показывать назойливее, включение новых зондов, систем анализа ваших действий.
     
  • 2.76, soarin (?), 07:50, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Ну вот только что запилили хардварное декодирование видео для OS X https://code.google.com/p/chromium/issues/detail?id=133828 (раньше было только для венды)
    Запилили HTTP/2
     

  • 1.17, arzeth (ok), 20:47, 08/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +8 +/
    А самое странное то, что 8-летняя закрытая Виста будет поддерживаться. В то время как исходный код Linux открыт и в Гугле работают люди разбирающиеся с ядром.
     
     
  • 2.20, Stax (ok), 21:07, 08/03/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Так может в тамошнем аналоге SECCOMP_FILTER_FLAG_TSYNC нет багов? Разве такое (чисто теоретически) не может быть?
     
     
  • 3.53, Аноним (-), 00:50, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Так может в тамошнем аналоге SECCOMP_FILTER_FLAG_TSYNC нет багов? Разве такое (чисто теоретически) не может быть?

    Очень даже может: нет кода — нет багов. Да и в новости про баги в реализации SECCOMP_FILTER_FLAG_TSYNC ни слова, только про сам факт необходимости наличия этой штуки в ядре для запуска новых версий хромого.

     

  • 1.18, Аноним (-), 20:58, 08/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +5 +/
    >На системах с более ранними выпусками ядра будет проявляться проблема, приводящая к невозможности установить дополнения и браузерные приложения

    И на что только не идут, чтобы только AdBlock выпилить...

     
  • 1.19, Аноним (-), 21:01, 08/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • –2 +/
    >Разработчики проекта Debian подготовили патч, реализующий SECCOMP_FILTER_FLAG_TSYNC для ядра из Debian 8 "jessie".

    а чего не сделать было ядро по умолчанию и серверов как сейчас 3,16, а для десктопа посвежее ?

     
  • 1.21, Аноним (-), 21:25, 08/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    "Запланированное устаревание" от Гугл
     
     
  • 2.123, Аноним (-), 03:09, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > "Запланированное устаревание" от Гугл

    А разработчики вообще не любят копаться в багах древних ядер, либ и программ. Такая неожиданность. А если разработчики чего-то делать не хотят - оспорить это можно в спортлото. Хотя в открытом проекте у вас есть бонусная опция: можете показать всем как надо, сделав форк.

     

  • 1.22, Аноним (-), 21:35, 08/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Это как это? Т.е. Google теперь не сможет использовать собственный браузер в собственной ОСи ChromeOS?
     
  • 1.25, Anonymouse (?), 21:53, 08/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Доминирование надстройки над базисом. Грубое нарушение основополагающего принципа исторического материализма.
     
     
  • 2.54, Аноним (-), 00:53, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Доминирование надстройки над базисом. Грубое нарушение основополагающего принципа исторического
    > материализма.

    Зато соответствует эмпириокритицизму.

     

  • 1.36, Аноним (-), 22:19, 08/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +32 +/
    То чувство, когда Debian Jessie ещё не вышел, но уже не поддерживается.
     
     
  • 2.40, Канадатян (?), 22:44, 08/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > То чувство, когда Debian Jessie ещё не вышел, но уже не поддерживается.

    Если бы этот коммент был первым, он бы гарантированно срубил 100500 плюсов.

     
  • 2.41, Baz (?), 22:51, 08/03/2015 [^] [^^] [^^^] [ответить]  
  • –3 +/
    Дебиан не успевает за полётом фантазии Линуса...
     
     
  • 3.43, Anonim (??), 23:14, 08/03/2015 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Это Вы не успеваете дочитать новость и лезете, куда Вас не просят.
    Да, какое там, Вы даже в том свою фигню написать не успеваете.
    Больше спасибо за внимание.
     
  • 2.45, Аноним (-), 00:14, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > То чувство, когда Debian Jessie ещё не вышел, но уже не поддерживается.

    Так релизнуть нечто, устаревшее еще до релиза - как раз в духе дебианщиков. А ты думаешь, с фига ли у убунты 20М пользователей бразовалось? :)

     

  • 1.48, Mirraz (ok), 00:23, 09/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Почему эта новость всё равно злит меня, с моим Firefox-ом?
     
     
  • 2.63, Аноним (-), 01:19, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Так возьми и обнови ядро!
     
  • 2.64, Ононим (?), 01:21, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    скушай конфетку
     

  • 1.68, draw (?), 02:39, 09/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +3 +/
    >  не согласны, что данное поведение является регрессивным изменением и требует исправления в кодовой базе Chromium, так как проблема решается обновлением ядра.

    Знакомый базар. Аналогично Поттеринг вещал помнится про отсутствие CLOCK_BOOTTIME, если не путаю, в "старых" ядрах и посылал всех нах, говоря, что чинить ниче не будет и пусть все обновляют ядра (естественно, намеренно нагадив и забыв, например, про тех кому это сделать весьма затруднительно, например, в виртуальных контейнерах типа OpenVZ). Да, да, я в курсе - они ретрограды, стопоры прогресса, ССЗБ и все такое - нас**ть на них святое дело, видимо

     
     
  • 2.130, Аноним (-), 03:22, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > например, в виртуальных контейнерах типа OpenVZ).

    Нужда в кастомном левом ядре - одна из основных проблем OVZ и именно это закрыло ему путь на десктопы.

     
     
  • 3.141, draw (?), 02:58, 11/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    А речь вовсе не за десктопы и даже не за OpenVZ Это лишь как пример было Речь ... большой текст свёрнут, показать
     

  • 1.69, Аноним (-), 03:55, 09/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • –2 +/
    Любой отказ от гнилого легаси - приятная новость.
     
     
  • 2.103, Аноним (-), 16:11, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    А отказ от здравого смысла - просто праздник души!
     

  • 1.70, Аноним (-), 04:34, 09/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Старьё - на свалку, хватит вестись на маргиналов.
     
     
  • 2.104, Аноним (-), 16:14, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    И главное - чтоб до основанья, а уж затем...
     

  • 1.71, бедный буратино (ok), 05:12, 09/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    А у меня ядро 5.7, у меня chromium работать-то будет?
     
     
  • 2.78, анон (?), 08:39, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    О, ты из 2023? И есть хромиум?
    Скажи, кто пезидент Америки и курс йены к доллару?
     
     
  • 3.87, Клыкастый (ok), 10:47, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Какой к хренам президент? Какая в бесам Америка?  скайнет же!
     
     
  • 4.124, Аноним (-), 03:11, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Какой к хренам президент? Какая в бесам Америка?  скайнет же!

    У скайнета ядро всего лишь 4.1 было. Что вы хотели эти этих некрофильствующих эмбедеров? Им как раз на момент выпуска ядра 5.7 наступает самое время заэмбедить 4.1 куда-нибудь :)

     
  • 3.94, бедный буратино (ok), 13:09, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    я из 2015

    http://www.openbsd.org/57.html

     
  • 3.105, Аноним (-), 16:18, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > О, ты из 2023?
    > курс йены к доллару?

    Велика вероятность, что 0/0 ...

     

  • 1.74, KinderSurprise (?), 06:14, 09/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Но [b] они не поддерживают ядро [/b], чтобы заявлять о поддержке или не поддержке ядра. Они поддерживают свой так сказать браузер. И его возможности и их отсутствие.
     
     
  • 2.125, Аноним (-), 03:12, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Но [b] они не поддерживают ядро [/b], чтобы заявлять о поддержке или
    > не поддержке ядра. Они поддерживают свой так сказать браузер. И его
    > возможности и их отсутствие.

    У любой программы есть список зависимостей и пререквизитов. У хрома он вот такой.

     

  • 1.77, Аноним (-), 08:39, 09/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Но в убунте 14.04 есть ядро 3.16 из utopic и уже очень давно.
    >uname -r
    >3.13.0-46-generic

    вот только обновишься глюки могут начаться...

     
  • 1.79, Аноним (-), 08:41, 09/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    >Поддержка TSYNC также бэкпортирована для ядер 3.14, 3.10, 3.8 и 3.4, используемых в Ubuntu 14.04, Android и Chrome OS

    Что? в убунту 14.04 ядра 3.13 и 3.16.

     
     
  • 2.127, Аноним (-), 03:14, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Что? в убунту 14.04 ядра 3.13 и 3.16.

    #include <заяц_несудьбы.jpg>

     

  • 1.89, Анонимайзер (?), 11:42, 09/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +4 +/
    Не много ли чести какому-то вшивому браузеру диктовать какое ядро ставить? :) Не пользуйтесь просто этой поделкой - и все.
     
     
  • 2.98, Аноним (-), 14:48, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > Не много ли чести какому-то вшивому браузеру диктовать какое ядро ставить? :)
    > Не пользуйтесь просто этой поделкой - и все.

    Вопрос не в этом. Те кто и раньше не могли отличить "Интернет" от браузера, и дальше будут "опускаться" и есть этот кактус только с более длинными и твердыми колючками (это закон :(
    А гугл все сильнее и сильнее насаживает ВСЕХ на свою иглу :(
    Хорошо, что есть Линус, Мозилла,..., сообщество... ;)
    Остальные будут хавать из своей лоханки, то что туда наливают корпорации бобра :( к превеликому моему сожалению )

     
     
  • 3.111, Аноним (-), 19:33, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > Вопрос не в этом. Те кто и раньше не могли отличить "Интернет"  от браузера, и дальше будут "опускаться" и есть этот кактус только

    Опускаться -это в смысле жить нормальной жизнью не забивая голову ерундой?

    Не знаю опускаюсь я или нет, но хром удалять не буду.

     
     
  • 4.113, Аноним (-), 19:48, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +3 +/
    >> Вопрос не в этом. Те кто и раньше не могли отличить "Интернет"  от браузера, и дальше будут "опускаться" и есть этот кактус только
    > Опускаться -это в смысле жить нормальной жизнью не забивая голову ерундой?

    Правильно, не забивай голову ерундой.
    И, это, вот тут подпись поставь. Спасибо.

     
  • 4.119, vi (ok), 23:10, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    >> Вопрос не в этом. Те кто и раньше не могли отличить "Интернет"  от браузера, и дальше будут "опускаться" и есть этот кактус только
    > Опускаться -это в смысле жить нормальной жизнью не забивая голову ерундой?

    Нет. "Опускаться" - это, при нынешних темпах развития (и всеобщей "замороченности"), все больше и больше отставать (расслоение в технической части).

    > Не знаю опускаюсь я или нет, но хром удалять не буду.

    Сделайте как Вам удобно!

     
  • 4.120, Ноно (?), 23:26, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Дело все в том, что, играя на "открытости" и "свободе" их ПО, они просто стремятся к тому же, чем обладали еще совсем недавно Майкрософт - к монополии. Монополия ведет исключительно к застою, конкуренция - развитие. Это - не ерунда.
     
  • 2.121, Serg (??), 02:09, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Сто пудей! Если компания, вовсю пользующаяся линуксом, плюёт на изрядную часть его пользователей - нафиг такую компанию. Снесу с десктопа, чтобы не доставал сообщениями о "неподдержке". Я уже не говорю о том, что на двух сотнях нетбутов в организации для обновления какого-то ср..го хрома строить другой дистр - это бред.
     

  • 1.90, sorrymak (ok), 12:05, 09/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Сегодня они убирают поддержку Linux <3.17, а завтра оставляют только 64-битные  бинарные сборки. Мда.
     
     
  • 2.109, Аноним (-), 19:23, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    сегодня они убирают поддержку Linux <3.17, а завтра - <3.19. Подлые корпорасты!
     
     
  • 3.126, Аноним (-), 03:13, 10/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > сегодня они убирают поддержку Linux <3.17, а завтра - <3.19. Подлые корпорасты!

    Лучше убрать все до 4.0, разработчикам станет сильно проще :)

     
  • 2.110, Аноним (-), 19:30, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    Сегодня они убирают поддержку Linux <3.17, а завтра они придут к тебе домой и изнасилуют твою жену.
     

  • 1.100, Crazy Alex (ok), 15:14, 09/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    И плевать. Или даже хорошо.  Для хромиума при нужде дистрибутивы добавят патчи. А проприетарный Хром - в гроб. Во всяком случае, в рамках тематики данного сайта - отличная новость - база, где может жить одна из ипостасей мерзкой. проприетащины, уменьшилась.
     
  • 1.112, Аноним (-), 19:34, 09/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    а хром это что?
     
  • 1.115, Капитан (??), 20:54, 09/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Поддержку мака они не удалили :)

    PROFIT!!!

     
  • 1.116, Алекс (??), 21:34, 09/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    >Загляни в системные требования - офигеешь. На Опеннете есть новость о том, что Red Hat возмущалась: почему Google прекращает поддержку RHEL6 (7 ещё не было) 2011 года выпуска, а Windows XP 2001 - нет (ответ: рыночная доля).

    Mozilla Firefox - НАШЕ ВСЕ! А всякие Хромы всегда у меня устанавливались криво под Linux; доходило до того, что приходилось выпиливать Google Chrome браузер из репозиториев, потому как криво работал, да еще ко всему траффик кушал! А когда вернулся на Mozilla Firefox так снова все в норму пришло! Походу, Google Chrome не только шпионский браузер+поисковик, он еще и информацию о компе собирает!

     
     
  • 2.117, Капитан (??), 22:08, 09/03/2015 [^] [^^] [^^^] [ответить]  
  • +/
    > он еще и информацию о компе собирает

    Что уж там, Дамп ОЗУ сервера отправляет и диски/принтеры к облаку гугла подключает без запроса.

     

  • 1.138, Аноним (-), 22:53, 10/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Плохо. У меня на ядрах новее 3.14 сон через раз работает, причем вайфай засыпает и комп становится неюзабельным без нета до ребута. И ведь зарепорчен баг, да никто не чинит, так и тянется регрессия.
     
  • 1.143, Oelututan (?), 22:48, 11/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Спасибо, теперь мне пришлось обновится до ubuntu 14.10 чтобы дальше можно было играть в онлайн игры.
     
  • 1.144, Аноним (144), 10:42, 12/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    блин у меня в минте 3.16 ) подстава, придется из бекпортов ставить чтоли
     
  • 1.145, Michael Shigorin (ok), 16:37, 12/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    В альте добавили бэкпорт в 3.14.35 из sisyphus и p7 (оно же попало в сегодняшние стартеркиты).
     
  • 1.146, венг (?), 07:22, 15/03/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Думаю, к старому ядру, да на старое железо, хрому предпочтут surf или uzbl :)
     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2021 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру